#!/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --gpus=1
#SBATCH --cpus-per-task=18
#SBATCH -t 1-0
#SBATCH --output=outputs/logs/inr_cls_pna_no_pe_2_pt2_epoch_200
#SBATCH --open-mode=append
#SBATCH --partition=gpu


module load 2022
module load Anaconda3/2022.05
# module load CUDA/11.3.1

source $HOME/.bashrc
conda activate dwsnets2

echo "=================================="
echo "Date: $(date)"
echo "Directory: $(pwd)"
python -c 'import torch; print(torch.randn(1).cuda())'

EXTRA_ARGS=$@
echo "Extra args: $EXTRA_ARGS"
srun python -u experiments/inr_classification/main.py seed=2 model=pna data=mnist n_epochs=200 \
  model.kwargs.num_probe_features=0 model.kwargs.gnn_kwargs.dropout=0.3 \
  model.kwargs.use_pos_embed=False \
  wandb.name=mnist_pna_mod_0.3drop_128d_0pf_train_aug \
  data.train.augmentation=True $EXTRA_ARGS
